#include "Game.h"
#include "rendering/Renderer.h"

Game::Game(const Controller& c, const Clock& fps, const Clock& tps) : controller(c), fps(fps), tps(tps) {
}

void Game::tick() {
}

void Game::render(float lag, Renderer& renderer) const {
    renderer.translateTo(0.0f, 0.0f).scale(2.0f).update();
    renderer.drawString(0, 0, "Das is&037t ein Test.");
    (void) lag;
}

bool Game::isRunning() const {
    return true;
}